Bug 642283 (CVE-2010-3180)

Summary: CVE-2010-3180 Mozilla use-after-free error in nsBarProp
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: caillon, gecko-bugs-nobody, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101019,reported=20101008,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-3/seamonkey=affected,rhel-4/seamonkey=affected,rhel-4/firefox=affected,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-4/thunderbird=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 14:58:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josh Bressers 2010-10-12 10:21:07 EDT
Security researcher Sergey Glazunov reported that it was possible to access
the locationbar property of a window object after it had been closed. Since
the closed window's memory could have been subsequently reused by the
system it was possible that an attempt to access the locationbar property
could result in the execution of attacker-controlled memory.
Comment 1 Josh Bressers 2010-10-19 17:59:44 EDT
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-66.html
Comment 2 errata-xmlrpc 2010-10-19 18:43:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0780 https://rhn.redhat.com/errata/RHSA-2010-0780.html
Comment 3 errata-xmlrpc 2010-10-19 19:10:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0781 https://rhn.redhat.com/errata/RHSA-2010-0781.html
Comment 4 errata-xmlrpc 2010-10-19 19:21:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html
Comment 5 errata-xmlrpc 2010-11-10 13:58:46 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html
Comment 6 errata-xmlrpc 2010-11-17 10:19:53 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0896 https://rhn.redhat.com/errata/RHSA-2010-0896.html